=== debian/changelog ===
ros-lunar-gazebo-ros-control (2.7.6-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Jun 2018 22:00:00 -0000

ros-lunar-gazebo-ros-control (2.7.5-0xenial) xenial; urgency=high

  * Don't ignore robotNamespace in gazebo_ros_control nodes (lunar-devel) (#706 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/706>)
    * Don't ignore robotNamespace
    When creating the NodeHandle for reading the PID parameters, the model_nh was always ignored. Instead, all parameters were read from /gazebo_ros_control/pid_gains/<joint_name>/* instead of /<robot_name>/gazebo_ros_control/pid_gains/<joint_name>/*.
    This commit restores the intended behavior, i.e., the parameters will now read from <robot_name>/..., where <robot_name> is specified via the robotNamespace plugin parameter or the parent name.
  * add physics type for dart with joint velocity interface (#701 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/701>)
  * Fix for preserving world velocity when set positions for Gazebo9: #612 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/612>
    This commit fixes #612 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/612>, but only for Gazebo9.
    Fixing it for Gazebo7 (the version used in ROS Kinetic) requires the
    following PR to be backported to Gazebo 7 and 8:
    https://bitbucket.org/osrf/gazebo/pull-requests/2814/fix-issue-2111-by-providing-options-to/diff
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-lunar-gazebo-ros-control (2.7.4-0xenial) xenial; urgency=high

  * Fix last gazebo8 warnings! (lunar-devel) (#664 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/664>)
  * Fix gazebo8 warnings part 7: retry #642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642> on lunar (#660 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/660>)
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Feb 2018 23:00:00 -0000

ros-lunar-gazebo-ros-control (2.7.3-0xenial) xenial; urgency=high

  * Replace Events::Disconnect* with pointer reset (#626 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/626>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Dec 2017 23:00:00 -0000

ros-lunar-gazebo-ros-control (2.7.2-0xenial) xenial; urgency=high

  * Revert gazebo8 changes in Lunar and back to use gazebo7 (#583 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/583>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 20 May 2017 22:00:00 -0000

ros-lunar-gazebo-ros-control (2.7.1-0xenial) xenial; urgency=high

  * Fixes for compilation and warnings in Lunar-devel  (#573 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/573>)
    Multiple fixes for compilation and warnings coming from Gazebo8 and ignition-math3
  * Less exciting console output (#561 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/561>)
  * Add catkin package(s) to provide the default version of Gazebo - take II (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Dave Coleman, Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 27 Apr 2017 22:00:00 -0000

ros-lunar-gazebo-ros-control (2.5.12-0xenial) xenial; urgency=high

  * Fixed broken gazebo_ros_control tutorial link (#566 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/566>)
  * Contributors: Ian McMahon

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Apr 2017 22:00:00 -0000

ros-lunar-gazebo-ros-control (2.5.11-0xenial) xenial; urgency=high

  * Change build system to set DEPEND on Gazebo/SDFormat (fix catkin warning)
    Added missing DEPEND clauses to catkin_package to fix gazebo catkin warning. Note that after the change problems could appear related to -lpthreads errors. This is an known issue related to catkin: https://github.com/ros/catkin/issues/856.
  * Make gazebo_ros_control compatible with ros_control with respect to <hardwareInterface> tag (#550 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/550>)
    * ros_control expects "<hardwareInterface>hardware_interface/PositionJointInterface</hardwareInterface>", i.e. "hardware_interface/" prefix
    * add deprecation warning
    * improve warning
    * fix warning message fix
  * Contributors: Andreas Bihlmaier, Dave Coleman

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Apr 2017 22:00:00 -0000

ros-lunar-gazebo-ros-control (2.5.10-0xenial) xenial; urgency=high

  * Revert catkin warnings to fix regressions (problems with catkin -lpthreads errors)
    For reference and reasons, please check:
    https://discourse.ros.org/t/need-to-sync-new-release-of-rqt-topic-indigo-jade-kinetic/1410/4
    * Revert "Fix gazebo catkin warning, cleanup CMakeLists (#537 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/537>)"
    This reverts commit 5a0305fcb97864b66bc2e587fc0564435b4f2034.
    * Revert "Fix gazebo and sdformat catkin warnings"
    This reverts commit 11f95d25dcd32faccd2401d45c722f7794c7542c.
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 02 Mar 2017 23:00:00 -0000

ros-lunar-gazebo-ros-control (2.5.9-0xenial) xenial; urgency=high

  * Fix gazebo catkin warning, cleanup CMakeLists (#537 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/537>)
  * Namespace console output (#543 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/543>)
  * Print name of joint with wrong interface
  * Removed all trailing whitespace
  * Change boost::shared_ptr to urdf::JointConstSharedPtr
  * Contributors: Bence Magyar, Dave Coleman, Jochen Sprickerhof

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 19 Feb 2017 23:00:00 -0000

ros-lunar-gazebo-ros-control (2.5.8-0xenial) xenial; urgency=high




