=== debian/control ===
Source: ros-lunar-gazebo-ros-control
Section: misc
Priority: extra
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-angles, ros-lunar-catkin, ros-lunar-control-toolbox, ros-lunar-controller-manager, ros-lunar-gazebo-dev, ros-lunar-hardware-interface, ros-lunar-joint-limits-interface, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-transmission-interface, ros-lunar-urdf
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-lunar-gazebo-ros-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-angles, ros-lunar-control-toolbox, ros-lunar-controller-manager, ros-lunar-gazebo-ros, ros-lunar-hardware-interface, ros-lunar-joint-limits-interface, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-transmission-interface, ros-lunar-urdf
Description: gazebo_ros_control
